% By Ulf Carlberg.
close all;
clear;

savefigs_list = {
    'fig_02_03_error_circular_polarization.m' ; ...
    'fig_03_01_fading_and_CDF.m' ; ...
    'fig_03_06_efficiencies.m' ; ...
    'fig_03_07_mrc_beamforming.m' ; ...
    'fig_03_07x_mrc_beamforming.m' ; ...
    'fig_03_08_two_dipoles.m' ; ...
    'fig_03_09_correlation.m' ; ...
    'fig_03_10_correlation.m' ; ...
    'fig_03_13c_cavity.m' ; ...
    'fig_03_14_scatter_plot.m' ; ...
    'fig_07_14_uniform_rect_aperture_surf.m' ; ...
    'fig_07_17_uniform_circular_aperture_surf.m' ; ...
    'fig_07_22_Gaussian_beam.m' ; ...
    'fig_08_15_pyramidal_horn_surf.m' ; ...
    'fig_09_08_paraboloid.m' ; ...
    'fig_10_08_linear_array.m' ; ...
    'fig_10_16a_element_pattern_array.m' ; ...
    'fig_10_16b_grating_lobes_array.m' ; ...
    'fig_10_16c_grating_lobes_array.m'};

savefigs = 1;
for savefigs_i = 1:numel(savefigs_list)
    run(savefigs_list{savefigs_i});
    close all;
    clearvars -except savefig*
end
